<?php



session_start();

$cliente_id = $_SESSION['clientelogin']['cliente_id'];



$getPost = filter_input_array(INPUT_POST, FILTER_DEFAULT);

$setPost = array_map("strip_tags", $getPost);

$post = array_map("trim", $setPost);



$oferta = $post['cliente_ofertas'];

$fone_opcional = $post['cliente_telefone_opcional'];



require ('../../_app/Config.inc.php');

$Create = new Create;

$Read = new Read;

$Update = new Update;



$jSon = array();



//destruir a flag de newsletter

unset($post['cliente_ofertas']);

unset($post['cliente_telefone_opcional']);



if (in_array('', $post)):

    $jSon['error'] = ["Preencha todos os campos!", "alert"];

elseif (!Check::Email($post['cliente_email']) || !filter_var($post['cliente_email'], FILTER_VALIDATE_EMAIL)):

    $jSon['error'] = ["Favor informe um email valido!", "error"];

else:

    $Read->FullRead("SELECT cliente_id FROM tp_clientes WHERE cliente_email = :email AND cliente_id != :id", "email={$post['cliente_email']}&id={$cliente_id}");

    if ($Read->getRowCount() > 0):

        $jSon['error'] = ["O e-mail <b>{$post['cliente_email']}</b> já existe em uso!", "error"];

    else:



//        $emailCriptografado = base64_encode($post['cliente_email']);

//        $email['Assunto'] = "Confirme agora seu cadastro no " . SITENAME;

//        $email['Mensagem'] = "<img src=\"" . HOME . "/img/logo.png\" align=\"center\"><hr><h3>Olá, {$post['cliente_nome']},</h3> <br> Você iniciou seu cadastro no " . SITENAME . ".<br><br>Para finalizá-lo, precisamos que você valide seu e-mail.<br><br>E-mail cadastrado: {$post['cliente_email']}. <br><br>Para validar, clique no link abaixo:<br><br> <a href=\"" . HOME . "/confirmar/{$emailCriptografado}\">Ativar meu cadastro</a> <br><br>Caso o link não funcione, acesse o endereço abaixo pelo seu navegador:<br><br> " . HOME . "/confirmar/{$emailCriptografado} <br><br><br>Atenciosamente,<br><br>Equipe " . SITENAME . "<br><br><i><small>Não é necessário responder a esse e-mail.</small></i>";

//        $email['DestinoNome'] = $post['cliente_nome'];

//        $email['DestinoEmail'] = $post['cliente_email'];

//        $email['RemetenteNome'] = 'Equipe INEXnet';

//        $email['RemetenteEmail'] = 'sac@inexnet.com.br';

//        $SendMail = new Email;

//        $SendMail->Enviar($email);

//        $jSon['error'] = [$SendMail->getError()[0], $SendMail->getError()[1]];

//

//        if ($SendMail->getResult()):

        

        //montando variavel destruida

        $post['cliente_telefone_opcional'] = $fone_opcional;

        $post['cliente_ofertas'] = $oferta;



        //atualizando os dados no banco

        $Update->ExeUpdate("tp_clientes", $post, "WHERE cliente_id = :id", "id=:{$cliente_id}");

        if ($Update->getResult()):

            $jSon['error'] = ["Cadastro atualizado com sucesso!", "accept"];

        

            // lendo os dados do cliente e armazenndo na sessão

            $Read->ExeRead("tp_clientes", "WHERE cliente_id = :id", "id={$cliente_id}");

            unset($Read->getResult()[0]['cliente_senha']);

            $_SESSION['clientelogin'] = $Read->getResult()[0];

            

            // testando se a oferta foi marcada

            if (!empty($post['cliente_ofertas'])):

                //consultando no banco de newsletter se esse email já exite, se exite e tiver status 0 atualizar, senão inserir novo registro

                $Read->ExeRead("tp_newsletter", "WHERE news_email = :email", "email={$post['cliente_email']}");

                if ($Read->getResult()):

                    if ($Read->getResult()[0]['news_status'] == 0):

                        $arrNews['news_status'] = 1;

                        $Update->ExeUpdate("tp_newsletter", $arrNews, "WHERE news_id = :id", "id=:{$Read->getResult()[0]['news_id']}");

                    endif;

                else:

                    //montando array para cadastro da news

                    $newsDados['news_nome'] = $post['cliente_nome'];

                    $newsDados['news_email'] = $post['cliente_email'];

                    $newsDados['news_status'] = 1;



                    $Create->ExeCreate("tp_newsletter", $newsDados);

                endif;

            endif;

        endif;

//        endif;



    endif;

endif;



echo json_encode($jSon);

?>